/* 
 * $RCSfile: vdelay_i.h,v $
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1996,1993,1991,1990  Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1996/06/14 23:49:05 $
 */

#define VDELAY_ACT_MAP_SZ 11
#define VDELAY_PAS_MAP_SZ 11

/* 
 * VDELAY_DEFAULT is the default amount of time a packet is delayed.
 * All times are in milliseconds.
 */
#define VDELAY_DEFAULT 25

typedef struct {
    Map activeMap;
    Map passiveMap;
} PState;

typedef struct {
    int delay;
} SState;
