/* 
 * utils.c
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1996,1993,1991,1990  Arizona Board of Regents
 *
 * $Revision: 1.3 $
 * $Date: 1996/06/14 21:33:38 $
 * 
 * HISTORY 
 * $Log: utils.c,v $
 * Revision 1.3  1996/06/14  21:33:38  slm
 * Merged in brakmo's changes.
 *
 * Revision 1.2  1996/04/25  20:57:59  slm
 * Updated copyright and version.
 *
 * Revision 1.1  1995/07/28  22:50:43  slm
 * Initial revision
 *
 * Revision 1.2  1994/11/22  23:18:37  hkaram
 * Removed abort decl.
 *
 * Revision 1.1  1994/10/26  20:41:50  hkaram
 * Initial revision
 */

#include "x_stdio.h"
#include "x_libc.h"
#include "x_util.h"
#include "upi.h"

void
Kabort(s)
char *s;
{
    fprintf(stderr, "xkernel abort: %s\n", s);
#ifdef X_PROFILE
    monitor(0);
    _exit(0);
#else
    /* xRapture(); */
    abort();
#endif
}
