/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: scout_config.h,v $
 *
 * HISTORY
 * $Log: scout_config.h,v $
 * Revision 1.1  1996/01/30  22:55:35  slm
 * Initial revision
 *
 * Revision 1.3  1994/11/20  01:30:35  davidm
 * Use virtual instead of physical LEDs.
 *
 * Revision 1.2  1994/06/11  00:03:00  menze
 * Added copyright notice
 *
 * Revision 1.1  1994/05/15  00:05:24  davidm
 * Initial revision
 */
#ifndef scout_config_h
#define scout_config_h

#define SCOUT_PLAY_LEDS		/* use LEDs for status display */
#define SCOUT_VIRT_LEDS		/* use virtual LEDs (screen) */
/* #define SCOUT_KGDB			/* include kernel GDB support */
#define SCOUT_ROLLFORWARD		/* use rollforward */
/*
 * Number of HW ticks per soft-clock call.  Must be a power of 2:
 */
#define SCOUT_TICKS_PER_CLOCK	16

#endif /* scout_config_h */
