/*
 * @COPYRIGHT@
 * 
 * x-kernel v3.3
 * 
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 * 
 * @COPYRIGHT@
 *
 * $RCSfile: printf.c,v $
 *
 * HISTORY
 * $Log: printf.c,v $
 * Revision 1.5  1996/01/30  22:58:00  slm
 * Updated copyright and version.
 *
 * Revision 1.4.1.1  1994/12/03  00:06:19  hkaram
 * New branch
 *
 * Revision 1.4  1994/06/11  00:03:11  menze
 * Added copyright notice
 *
 * Revision 1.3  1994/05/14  23:49:21  davidm
 * Fixed include.
 *
 * Revision 1.2  1994/01/21  23:57:48  davidm
 * (printf): Most functionality extracted into _doprint.
 */
#include <stdarg.h>


int
printf(const char *format, ...)
{
    va_list ap;
    int count;

    va_start(ap, format);
    count = vprintf(format, ap);
    va_end(ap);
    return count;
} /* printf */

			/*** end of printf.c ***/
